##
##  soe.yaml -- Systems of Engagement (SoE) Configuration
##

#   the SoE platform (microservice infrastructure)
platform:
    proxy:
        domain: soe.example.com
        addr:   10.118.8.41
        port:   80
        tls:
            enabled: false
            crt: "@l_prefix@/etc/x509/example-server.crt.pem"
            key: "@l_prefix@/etc/x509/example-server.key.pem"
            ca:  "@l_prefix@/etc/x509/example-ca.crt.pem"
    nodes:
        - host: soe1
          addr: { ext: 10.118.8.42, int: 10.42.42.42 }
        - host: soe2
          addr: { ext: 10.118.8.43, int: 10.42.42.43 }
        - host: soe3
          addr: { ext: 10.118.8.44, int: 10.42.42.44 }
    software:
        admin-password: "foo!bar.quux"

#   the SoE farm (microservice environment)
farm:
    nodes:
        - host: soe4
          addr: { ext: null, int: 10.42.42.61 }
        - host: soe5
          addr: { ext: null, int: 10.42.42.62 }

